# $Revision: 1.127 $, $Date: 2010/03/29 06:54:28 $
#
# Conditional build:
%bcond_without	tests	# don't perform ./check-guile
%bcond_without	emacs	# don't build emacs subpackage
#
%define		ver	1.8
Summary:	GNU Extension language
Summary(es.UTF-8):	Lenguaje de extensión de la GNU
Summary(ja.UTF-8):	アプリケーションの拡張のための GNU による Scheme の実装
Summary(pl.UTF-8):	Język GNU Extension language
Summary(pt_BR.UTF-8):	Linguagem de extensão da GNU
Summary(ru.UTF-8):	Язык расширений GNU
Summary(uk.UTF-8):	Мова розширень GNU
Name:		guile
Version:	1.8.7
Release:	1
Epoch:		5
License:	GPL v2+/LGPL v2.1+
Group:		Development/Languages
Source0:	http://ftp.gnu.org/gnu/guile/%{name}-%{version}.tar.gz
# Source0-md5:	991b5b3efcbbc3f7507d05bc42f80a5e
Patch0:		%{name}-info.patch
Patch1:		%{name}-fix_awk_patch.patch
Patch2:		%{name}-unknown_arch.patch
Patch3:		%{name}-as-needed.patch
URL:		http://www.gnu.org/software/guile/guile.html
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
%{?with_emacs:BuildRequires:	emacs}
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel >= 4.1
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	texinfo
Requires:	umb-scheme
Obsoletes:	libguile9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch sparc sparc64
%undefine	with_tests
%endif

%description
Guile, a portable, embeddable Scheme implementation written in C.
Guile provides a machine independent execution platform that can be
linked in as a library when building extensible programs.

%description -l es.UTF-8
Guile es una implementación de Scheme, que puede ser portátil y
empotrada, escrita en C. Guile provee una máquina de ejecución
independiente de plataforma, que puede ser linkada como una biblioteca
construyendo programas extensibles.

%description -l ja.UTF-8
GUILE (GNU's Ubiquitous Intelligent Language for Extension) は Scheme
プログラミング言語を実装した C で書かれたライブラリです。 GUILE は
マシン非依存の実行環境で、プログラムの拡張性を提供します。

%description -l pl.UTF-8
Guile jest przenośną, dającą się wbudować implementacją Scheme
napisaną w C. Guile udostępnia platformę wykonywania niezależną od
sprzętu, która może być dołączona jako biblioteka przy tworzeniu
rozszerzalnych programów.

%description -l pt_BR.UTF-8
Guile é um implementação de Scheme portável e embutível escrita em C.
Guile provê uma máquina de execução independente de plataforma, que
pode ser ligada como uma biblioteca construindo programas extensíveis.

%description -l ru.UTF-8
Guile - это переносимая, встраиваемая реализация языка Scheme
написанная на C. Guile предоставляет машинонезависимую среду
исполнения, которая может быть скомпонована с программой в виде
библиотеки.

%description -l uk.UTF-8
Guile - це переносима та вбудовувана реалізація мови Scheme написана
на C. Guile забезпечує машинонезалежне середовище виконання, яке може
бути скомпоноване з програмою у вигляді бібліотеки.

%package devel
Summary:	Guile's header files, etc
Summary(es.UTF-8):	Bibliotecas de Guile, archivos de inclusión, etc
Summary(ja.UTF-8):	GUILE 拡張性ライブラリ用のライブラリとヘッダファイル
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja Guile
Summary(pt_BR.UTF-8):	Bibliotecas da Guile, arquivos de inclusão, etc
Summary(ru.UTF-8):	Файлы для разработки программ с Guile
Summary(uk.UTF-8):	Файли для розробки програм з Guile
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gmp-devel >= 4.1
Requires:	libltdl-devel
Requires:	m4
Obsoletes:	libguile9-devel

%description devel
What's needed to develop apps linked w/ guile

%description devel -l es.UTF-8
Este paquete contiene todo lo necesario para desarrollar aplicaciones
usando Guile.

%description -l ja.UTF-8
guile-devel パッケージはライブラリやヘッダファイル、その他...あなたが
GUILE 拡張性ライブラリをリンクしたプログラムを作成するのに必要な
ファイルを提供します。

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja Guile.

%description devel -l pt_BR.UTF-8
Este pacote contém o que é necessário para desenvolver aplicações
usando a Guile.

%description devel -l ru.UTF-8
Все, что нужно для разработки приложений, скомпонованых с guile.

%description devel -l uk.UTF-8
Все, що потрібно для розробки програм, що компонуються з guile.

%package static
Summary:	Guile static libraries
Summary(pl.UTF-8):	Biblioteka statyczna Guile
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com guile
Summary(ru.UTF-8):	Статические библиотеки Guile
Summary(uk.UTF-8):	Статичні бібліотеки Guile
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Guile static library.

%description static -l pl.UTF-8
Biblioteka statyczna Guile.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com guile

%description static -l ru.UTF-8
Статические библиотеки guile.

%description static -l uk.UTF-8
Статичні бібліотеки guile.

%package -n emacs-guile-mode-pkg
Summary:	emacs guile-mode
Summary(pl.UTF-8):	Tryb guile dla emacsa
Group:		Applications/Editors/Emacs
Requires:	emacs

%description -n emacs-guile-mode-pkg
Emacs guile-mode.

%description -n emacs-guile-mode-pkg -l pl.UTF-8
Tryb edycji guile dla emacsa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd guile-readline
%{__libtoolize}
%{__aclocal} -I ../guile-config
%{__autoconf}
# DON'T USE --force HERE - it would break build
automake -a -c --foreign
cd ..
%configure \
	--enable-error-on-warning=no

%{__make}

%{?with_tests:%{__make} -C libguile stack-limit-calibration.scm}
%{?with_tests:./check-guile}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/guile/site,%{_libdir}/guile}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/guile
%attr(755,root,root) %{_bindir}/guile-tools
%attr(755,root,root) %{_libdir}/libguile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile.so.17
# shared libraries dlopened by interpreter (.so or .la needed)
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-1-v-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-srfi-srfi-1-v-3.so.3
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-1-v-3.so
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-4-v-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-srfi-srfi-4-v-3.so.3
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-4-v-3.so
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-13-14-v-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-srfi-srfi-13-14-v-3.so.3
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-13-14-v-3.so
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-60-v-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-srfi-srfi-60-v-2.so.2
%attr(755,root,root) %{_libdir}/libguile-srfi-srfi-60-v-2.so
%attr(755,root,root) %{_libdir}/libguilereadline-v-17.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguilereadline-v-17.so.17
%attr(755,root,root) %{_libdir}/libguilereadline-v-17.so
%{_libdir}/guile
%dir %{_datadir}/guile
%dir %{_datadir}/guile/%{ver}
%{_datadir}/guile/%{ver}/guile-procedures.txt
%{_datadir}/guile/%{ver}/ice-9
%{_datadir}/guile/%{ver}/lang
%{_datadir}/guile/%{ver}/oop
%dir %{_datadir}/guile/%{ver}/scripts
%attr(755,root,root) %{_datadir}/guile/%{ver}/scripts/*
%{_datadir}/guile/%{ver}/srfi
%dir %{_datadir}/guile/site
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog HACKING
%attr(755,root,root) %{_bindir}/guile-config
%attr(755,root,root) %{_bindir}/guile-snarf
%attr(755,root,root) %{_libdir}/libguile.so
%{_libdir}/libguile.la
%{_libdir}/libguile-srfi-srfi-1-v-3.la
%{_libdir}/libguile-srfi-srfi-4-v-3.la
%{_libdir}/libguile-srfi-srfi-13-14-v-3.la
%{_libdir}/libguile-srfi-srfi-60-v-2.la
%{_libdir}/libguilereadline-v-17.la
%{_infodir}/goops.info*
%{_infodir}/guile.info*
%{_infodir}/guile-tut.info*
%{_infodir}/r5rs.info*
%{_includedir}/guile
%{_includedir}/libguile
%{_includedir}/libguile.h
%{_pkgconfigdir}/guile-1.8.pc
%{_aclocaldir}/guile.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libguile.a
%{_libdir}/libguile-srfi-srfi-1-v-3.a
%{_libdir}/libguile-srfi-srfi-4-v-3.a
%{_libdir}/libguile-srfi-srfi-13-14-v-3.a
%{_libdir}/libguile-srfi-srfi-60-v-2.a
%{_libdir}/libguilereadline-v-17.a

%if %{with emacs}
%files -n emacs-guile-mode-pkg
%defattr(644,root,root,755)
%{_emacs_lispdir}/*.el
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guile.spec,v $
Revision 1.127  2010/03/29 06:54:28  qboosh
- updated to 1.8.7
- dropped outdated test-hacks patch

Revision 1.126  2010/03/28 20:35:34  arekm
- release 2

Revision 1.125  2009/02/26 14:21:10  baggins
- added man page
- rel 1

Revision 1.124  2009/02/26 14:10:06  baggins
- patch enumeration

Revision 1.123  2009/02/26 14:09:43  baggins
- remove configure hacks
- explicitly make file needed for tests

Revision 1.122  2009/02/26 13:21:55  baggins
- 1.8.6

Revision 1.121  2009/02/23 22:05:56  arekm
- release 5

Revision 1.120  2008/09/07 21:28:59  adamg
- pass --enable-error-on-warning=on (avoids -Werror)
- emacs subpackage
- release 4

Revision 1.119  2008/09/07 18:54:32  adamg
- release 3 (against libltdl-2.2.6-1)

Revision 1.118  2008/06/14 10:08:21  arekm
- rel 2

Revision 1.117  2008-05-28 20:02:54  qboosh
- updated to 1.8.5
- moved *.so symlinks of dlopened libraries to base

Revision 1.116  2008-05-27 20:03:28  hawk
- added missing %dir %{_datadir}/guile/site

Revision 1.115  2008-05-26 20:46:54  hawk
- release 2

Revision 1.114  2008-05-20 20:35:13  pluto
- fix libtool-2.2 based build.

Revision 1.113  2008-04-08 08:24:52  glen
- unify ftp.gnu.org urls

Revision 1.112  2008-04-02 23:47:03  sls
- problem with srfi

Revision 1.111  2008-04-01 22:50:26  sls
- more verbose files
- scripts got exec permissions

Revision 1.110  2008-02-22 22:12:22  qboosh
- updated to 1.8.4
- updated as-needed patch

Revision 1.109  2008-01-24 01:36:32  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.108  2007-11-26 22:47:32  qboosh
- updated info patch to use original dircategory (The Algorithmic Language Scheme)
- release 2

Revision 1.107  2007/11/04 10:13:25  qboosh
- updated to 1.8.3
- hacked slib.scm shouldn't be needed now, dropped

Revision 1.106  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.105  2007/09/09 19:32:09  wiget
- added hacked guile.init (as ice-9/slib.scm)
- release 2

Revision 1.104  2007/08/02 05:36:48  qboosh
- License GPL v2+ for interpreter, LGPL v2.1+ for libguile

Revision 1.103  2007/07/24 20:48:11  tommat
- up to 1.8.2

Revision 1.102  2007/07/24 12:09:40  tommat
- disable tests on sparc and sparc64

Revision 1.101  2007/05/26 08:50:21  qboosh
- updated as-needed patch to kill -as-needed from `guile-config link` output
- release 3

Revision 1.100  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.99  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.98  2006/12/31 23:40:33  arekm
- rel 2

Revision 1.97  2006/12/28 18:21:48  qboosh
- todo: guile-config link preserves unwanted LDFLAGS

Revision 1.96  2006/10/20 16:35:43  sls
- added as-needed patch

Revision 1.95  2006/10/09 23:24:51  qboosh
- updated to 1.8.1, updated test-hacks patch

Revision 1.94  2006/08/24 05:34:40  qboosh
- added test-hacks patch, updated deps

Revision 1.93  2006/08/07 23:16:07  qrczak
- Updated to 1.8.0
- Removed patches which are no longer needed

Revision 1.92  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.91  2005/05/03 15:13:46  mmazur
- rel 3; rebuild with fixed patch

Revision 1.90  2005/05/03 01:05:17  mmazur
- rel 2; use system ltdl

Revision 1.89  2004/12/26 11:44:16  qboosh
- updated to 1.6.7 (bugfixes)
- more verbose files

Revision 1.88  2004/11/30 22:19:13  qboosh
- updated to 1.6.6 (minor fixes)

Revision 1.87  2004/11/02 00:11:58  qboosh
- updated to 1.6.5
- updated unknown_arch patch
- removed obsolete ac_alloca_test,ppc64,realloc,stack-end,mktemp patches
- removed (previously disabled) breaking ia64 patch

Revision 1.86  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.85  2004/07/25 18:01:32  qboosh
- added ttyname patch (avoid SEGV with no /proc), mktemp patch (fix /tmp usage)
- disabled breaking ia64 patch, run check-guile after build
- release 5

Revision 1.84  2004/05/31 22:25:05  qboosh
- replaced realloc patch with fix from guile CVS
- added stack-end patch (another hack based on guile CVS)
- release 4

Revision 1.83  2004/05/24 20:11:52  qboosh
- added realloc patch (fixes possible crash, caught on amd64)
- strict internal deps, release 3

Revision 1.82  2004/01/02 17:31:11  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.81  2003/12/30 10:55:26  jajcus
- simple fix for configure script fix
- porting patches from RH (guile-ia64.patch guile-ppc64.patch guile-unknown_arch.patch)

Revision 1.80  2003/06/22 19:00:18  aflinta
- fixed epoch:version issues

Revision 1.79  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.78  2003/05/25 05:48:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.77  2003/04/24 09:57:00  trojan
- updated to 1.6.4
- removed outdated patch

Revision 1.76  2003/04/21 15:20:57  qboosh
- added noldflagsinconfig patch to remove $LDFLAGS from `guile-config link`
  (thus removing this evil -s)
- release 2

Revision 1.75  2003/04/04 12:45:13  wolf
- missing BR (thx qboosh)

Revision 1.74  2003/04/02 23:36:43  wolf
- autoshit seems to be broken, and since it works w/o it...

Revision 1.73  2003/02/04 07:50:04  trojan
- updated 1.6.3

Revision 1.72  2002/12/25 01:28:27  qboosh
- 1.6.1
- updated info,fix_awk_patch patches, removed obsolete sizet patch
- removed linking hack - require fixed libtool instead (relink problem)

Revision 1.71  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.70  2002/12/02 11:06:19  ankry
- massive cleaning

Revision 1.69  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.68  2002/08/19 11:07:51  qboosh
- fixed build on alpha (axp patch); release 5

Revision 1.67  2002/05/25 09:06:20  kloczek
- release 4: fix building guile on alpha (merge sizet patch from rawhide).

Revision 1.66  2002/05/21 20:39:31  qboosh
- one more entry in info patch; release 3

Revision 1.65  2002/05/21 08:10:54  kloczek
- merge translations from KSI, Kondara and Cnectiva,
- use new %doc packing infrastructure.

Revision 1.64  2002/05/16 06:26:38  filon
- ac/am/lt rebuilding needs DEVEL resources, turn it off
- fixed libguilereadline relinking
- release 2, STBR

Revision 1.63  2002/05/15 21:23:04  filon
- fixed info patch name (from pach to patch)

Revision 1.62  2002/05/15 21:05:22  filon
- updated to 1.4.1
- removed unneded/obsolette std_headers, acinclude.m4_fixes.patch, am_fixes.patch, use_system_libltd.aptch
- updated and fixed (apply changes also in guile-readline) SCM_SITE_DIR_path.patch
- updated files
- rebuild ac/am stuff + hack for make (and proper -I for aclocal)
- hack for broken libtool behavior (look into spec for info)
- updated info patch
- STBR, works with TeXmacs :-)

Revision 1.61  2002/04/25 16:32:19  arturs
fixed a small typo

Revision 1.60  2002/03/28 18:32:41  klakier
- added URL

Revision 1.59  2002/03/16 14:27:01  misiek
- code name "kloczek's ,,great'' work"
- don't regenerate (completly) broken am/ac support in guile (it breaks everything)
- removed non-existant configure option
- release 12

Revision 1.58  2002/02/25 08:37:38  kloczek
- typo.

Revision 1.57  2002/02/25 08:02:12  kloczek
- release 11,
- added patches set whitch allow install loadable shared modules in
  %%{_libdir}/guile instead in %%{_datadir}/guile (now guile can be FHS
  cmpliant).

Revision 1.56  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/02 20:18:21  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.53  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2002/01/02 18:44:34  kloczek
- release 10: libguile9{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.51  2001/11/27 20:32:54  mkochano
- Release 9.
- devel subpackage Requires: ncurses-devel and readline-devel.

Revision 1.50  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.48  2001/07/23 16:21:32  qboosh
- %%configure2_13 (just rebuilding doesn't work)
- release 8

Revision 1.47  2001/04/12 23:09:46  kloczek
- release 7: rebuild against readline 4.2.

Revision 1.46  2000/12/10 15:43:25  kloczek
- release 6,
- merge patch from MDK with disable inet_aton() prototype when
  STDC_HEADERS is defined (this fix compile problems on AXP).

Revision 1.45  2000/10/12 21:35:09  kloczek
- release 5: use new rpm automation.

Revision 1.44  2000/08/26 17:25:49  kloczek
- release 4,
- added Epoch: 1 (for allow upgrade from rawhide guile),
- added fix_awk_patch parch which fix awk path (must be /bin/awk).

Revision 1.43  2000/07/13 23:10:31  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.42  2000/07/13 20:42:01  baggins
- release 2

Revision 1.41  2000/06/21 16:04:56  kloczek
- updated to 1.4,
- spec adapterized,
- updated %files list.

Revision 1.40  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.39  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.38  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.37  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.36  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.34  2000/03/23 08:57:52  kloczek
- release 3,
- spec adapterized,
- build agains readline 4.1.

Revision 1.33  1999/11/16 17:26:49  kloczek
- release 2,
- build against ncurses 5.0,
- added BuilRequires rules.

Revision 1.32  1999/11/07 08:01:14  kloczek
- updated to 1.3.4.

Revision 1.31  1999/09/13 18:48:09  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.30  1999/08/31 21:43:42  kloczek
- updated to 1.3.2,
- updated patches list,
- added aclocal m4 macros files to devel,
- %%{_bindir}/guile moved to main,
- removed %%{_datadir}/guile/slib symlink (not neccessary now),
- added lib*.la to devel.

Revision 1.29  1999/08/01 22:28:25  kloczek
- fix: added passing LDFLAGS="-s" to ./configure environment (cause stripping
  binaries).

Revision 1.28  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.27  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rękorajski <baggins@pld.org.pl>
  [1.3-8]
- spec cleanup

* Fri May 21 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.3-7]
- spec writted by me,
- pl translation by Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
